<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_LOGTICKS"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>LogTicks</b> EXTENDS <a href="Ticks.html#_C_TICKS" style="font-face:arial;font-weight:bold;">Ticks</a></div>
<i>(Defined in: jpgraph_log.php : 102)</i><table border=1><tr><td>&nbsp;<a href="LogTicks.html" style="font-family:arial;font-weight:bold;color:darkblue;">LogTicks</a>&nbsp;</td><td>&nbsp;<a href="Ticks.html" style="font-family:arial;font-weight:bold;color:darkblue;">Ticks</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="LogTicks.html#_LOGTICKS_SETLABELLOGTYPE">SetLabelLogType()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="Ticks.html#_TICKS_SET">Set()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETCOLOR">SetColor()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETFORMATCALLBACK">SetFormatCallback()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETLABELFORMAT">SetLabelFormat()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETSIDE">SetSide()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETSIZE">SetSize()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETWEIGHT">SetWeight()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSFIRST">SupressFirst()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSLAST">SupressLast()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSMINORTICKMARKS">SupressMinorTickMarks()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSTICKMARKS">SupressTickMarks()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSZEROLABEL">SupressZeroLabel()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>This class represents ticks on a logarithmic scale axis. It is responsible for drawing and positioning ticks. <p> &nbsp;
<div style="font-weight:bold;font-family:arial;font-size:85%;">See also related classes:</div><a href="LogScale.html">LogScale</a> and <a href="Axis.html">Axis</a> <p> &nbsp;<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_LOGTICKS_SETLABELLOGTYPE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetLabelLogType</font><font color="#007700">(</font><font color="#0000BB">$aType</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Should the log labels be dispalyed with magnitudes ot plain numbers</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aType</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Magnitude (10^x) or plain</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify how labels for log scales should be formatted as magnitude (scientific) or plain.
<p>
$aType can be either
<ul>
<li> LOGLABELS_PLAIN, will show labels as for example 10000
<li> LOGLABELS_MAGNITUDE, will show labels as 10^4
</ul>

By default log scale uses magnitude type of labels.
&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">yaxis</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">ticks</font><font color="#007700">-&gt;</font><font color="#0000BB">SetLabelLogType</font><font color="#007700">(</font><font color="#0000BB">LOGLABELS_PLAIN</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p> <hr> <p>